namespace CMSMicroservice.Application.DayaLoanCQ.Commands.ProcessDayaLoanApproval;

public class ProcessDayaLoanApprovalCommandValidator : AbstractValidator<ProcessDayaLoanApprovalCommand>
{
    public ProcessDayaLoanApprovalCommandValidator()
    {
        RuleFor(v => v.UserId)
            .GreaterThan(0)
            .WithMessage("شناسه کاربر باید بزرگتر از صفر باشد");
        
        RuleFor(v => v.ContractNumber)
            .NotEmpty()
            .WithMessage("شماره قرارداد الزامی است")
            .MaximumLength(100)
            .WithMessage("شماره قرارداد نباید بیش از 100 کاراکتر باشد");
        
        RuleFor(v => v.WalletAmount)
            .GreaterThan(0)
            .WithMessage("مبلغ کیف پول باید بزرگتر از صفر باشد");
    }
}
